LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::awt::FontWidth Constant Group Referencepublished

These values are used to specify the width of the characters of a font. More...

## Variables
const float | DONTKNOW = 0.000000
| The width of the font is not specified/known. More...
const float | ULTRACONDENSED = 50.000000
| The width of the font is condensed to 50%. More...
const float | EXTRACONDENSED = 60.000000
| The width of the font is condensed to 60%. More...
const float | CONDENSED = 75.000000
| The width of the font is condensed to 75%. More...
const float | SEMICONDENSED = 90.000000
| The width of the font is condensed to 90%. More...
const float | NORMAL = 100.000000
| The width of the font is normal. More...
const float | SEMIEXPANDED = 110.000000
| The width of the font is expanded to 110%. More...
const float | EXPANDED = 150.000000
| The width of the font is expanded to 150%. More...
const float | EXTRAEXPANDED = 175.000000
| The width of the font is expanded to 175%. More...
const float | ULTRAEXPANDED = 200.000000
| The width of the font is expanded to 200%. More...

## Detailed Description

These values are used to specify the width of the characters of a font.

They may be expanded in future versions.

## Variable Documentation

## ◆ CONDENSED

const float CONDENSED = 75.000000

The width of the font is condensed to 75%.

## ◆ DONTKNOW

const float DONTKNOW = 0.000000

The width of the font is not specified/known.

## ◆ EXPANDED

const float EXPANDED = 150.000000

The width of the font is expanded to 150%.

## ◆ EXTRACONDENSED

const float EXTRACONDENSED = 60.000000

The width of the font is condensed to 60%.

## ◆ EXTRAEXPANDED

const float EXTRAEXPANDED = 175.000000

The width of the font is expanded to 175%.

## ◆ NORMAL

const float NORMAL = 100.000000

The width of the font is normal.

## ◆ SEMICONDENSED

const float SEMICONDENSED = 90.000000

The width of the font is condensed to 90%.

## ◆ SEMIEXPANDED

const float SEMIEXPANDED = 110.000000

The width of the font is expanded to 110%.

## ◆ ULTRACONDENSED

const float ULTRACONDENSED = 50.000000

The width of the font is condensed to 50%.

## ◆ ULTRAEXPANDED

const float ULTRAEXPANDED = 200.000000

The width of the font is expanded to 200%.